- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GSmtp::ProcessorFactory Class Reference

A factory for message processors. More...

`#include <gprocessorfactory.h>`

## Static Public Member Functions
static Processor * | newProcessor (const std::string &address, unsigned int timeout)
| Returns a Processor on the heap. More...
static std::string | check (const std::string &address)
| Checks an address. More...

## Detailed Description

A factory for message processors.

Definition at line 39 of file gprocessorfactory.h.

## Member Function Documentation

std::string GSmtp::ProcessorFactory::check | ( | const std::string & | address | ) |
| static

Checks an address.

Returns an empty string if okay, or a diagnostic reason string.

Definition at line 32 of file gprocessorfactory_exec_enabled.cpp.

References GSmtp::FactoryParser::check().

GSmtp::Processor * GSmtp::ProcessorFactory::newProcessor | ( | const std::string & | address,
|  | unsigned int | timeout
| ) |  |
| static

Returns a Processor on the heap.

Definition at line 37 of file gprocessorfactory_exec_enabled.cpp.

References GSmtp::FactoryParser::parse(), and G::Str::toUInt().

The documentation for this class was generated from the following files:

- gprocessorfactory.h
- gprocessorfactory_exec_enabled.cpp